Package com.pixelmed.convert

# Class AddTIFFOrOffsetTables

java.lang.Object
com.pixelmed.convert.AddTIFFOrOffsetTables

public class AddTIFFOrOffsetTables extends Object

A class for to add make a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

See Also:
  - `TIFFToDicom`

## Constructor Summary

Constructors
Constructor
Description
`AddTIFFOrOffsetTables(String inputFileName, String outputFileName, boolean addTIFF, boolean useBigTIFF)`
Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddTIFFOrOffsetTables

public AddTIFFOrOffsetTables(String inputFileName, String outputFileName, boolean addTIFF, boolean useBigTIFF) throws IOException, DicomException, TIFFException, NumberFormatException

Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

Does not change the Transfer Syntax.

Parameters:
  `inputFileName` -
  `outputFileName` -
  `addTIFF` - whether or not to add a TIFF IFD in the DICOM preamble to make a dual=personality DICOM-TIFF file sharing the same pixel data
  `useBigTIFF` - whether or not to create a BigTIFF rather than Classic TIFF file
Throws:
  `IOException`
  `DicomException`
  `NumberFormatException`
  `TIFFException`

## Method Details

### main

public static void main(String[] arg)

Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

Options are:

ADDTIFF | DONOTADDTIFF (default)

USEBIGTIFF (default) | DONOTUSEBIGTIFF

Parameters:
  `arg` - two parameters plus options, the DICOM inputFile, the DICOM outputFile, then various options controlling conversion